--- title: "Create task" slug: "nclue-posttask" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/nclue-posttask" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create task Available in VPC Create a new task model. When you request to create a task model, the creation process will proceed according to the following sequence. | Order | Creation status | Description | | --- | --- | --- | | Step 1 | `registered`: Registered | Status where the creation job is registered in the NCLUE system - It is the status before the start of the job, and you can [Delete task](/docs/en/nclue-deletetask) to cancel the job. | | Step 2 | `pending`: Pending | Status where the creation job is queued in the system | | Step 3 | `in_progress`: Creating | Status where the creation job is running on the server | | Step 4 | - `complete`: Available - `failed`: Failure | Status where the creation job has been completed - If the creation is successful, the status will be `complete`, and it can be used normally. - If the creation fails due to an error that occurred during the operation, the status will be `failed` and it can't be used. - Check error message: See [Get task](/docs/en/nclue-gettask). - How to resolve errors: See [NCLUE troubleshooting](https://guide.ncloud-docs.com/docs/en/nclue-troubleshoot). | Note The duration of each job when creating a task depends on the amount of data and service's available resources. To check the progress of the creation, call the [Get task](/docs/en/nclue-gettask) API and check the `status` field in the response body. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /tasks | ### Request headers For information about the headers common to all NCLUE APIs, see [NCLUE request headers](/docs/en/nclue-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Required | Task name - 1-100 characters | | `train_feature_id` | String | Required | Feature ID to apply for train correct answer data - See [Get feature list](/docs/en/nclue-getfeaturelist). | | `train_bucket` | String | Required | Bucket name of Object Storage where the train correct answer data file is stored | | `train_file_path` | String | Required | Train correct answer data file path in `train_bucket` - File paths containing the following special characters can't be entered. - &$@;:+,?*\{}^%`[]<>~#\|"' - Characters with ASCII codes 0-31 and 128-255 - Spaces | | `test_feature_id` | String | Optional | Feature ID to apply for test correct answer data - See [Get feature list](/docs/en/nclue-getfeaturelist). | | `test_bucket` | String | Optional | Bucket name of Object Storage where the test correct answer data file is stored | | `test_file_path` | String | Optional | Test correct answer data file path in `test_bucket` - File paths containing the following special characters can't be entered. - &$@;:+,?*\{}^%`[]<>~#\|"' - Characters with ASCII codes 0-31 and 128-255 - Spaces | ### Request example The request example is as follows: ``` curl --location --request POST 'https://nclue.apigw.ntruss.com/api/v1/tasks' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "name": "YOUR_TASK_NAME", "train_feature_id": "0ccc59f9-****-****-****-7837ae76d046", "train_bucket": "YOUR_BUCKET_NAME", "train_file_path": "path/filename" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `task_id` | String | - | Task ID | | `task_name` | String | - | Task name | | `created_at` | String | - | Task creation request date and time - ISO 8601 format | | `train_feature_id` | String | - | Feature ID to apply to train correct answer data | | `train_feature_name` | String | - | Feature name to apply to train correct answer data | | `train_bucket` | String | - | Bucket name of Object Storage where the train correct answer data file is stored | | `train_file_path` | String | - | Train correct answer data file path in `train_bucket` | | `test_feature_id` | String | - | Feature ID to apply to test correct answer data | | `test_feature_name` | String | - | Feature name to apply to test correct answer data | | `test_bucket` | String | - | Bucket name of Object Storage where the test correct answer data file is stored | | `test_file_path` | String | - | Test correct answer data file path in `test_bucket` | ### Response status codes For information about the HTTP status codes common to all NCLUE, see [NCLUE response status codes](/docs/en/nclue-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "task_id": "f5aebc0c-****-****-****-b201bc64b1c9", "task_name": "YOUR_TASK_NAME", "created_at": "2024-11-26T11:48:16+09:00", "train_feature_id": "0ccc59f9-****-****-****-7837ae76d046", "train_feature_name": "YOUR_FEATURE_NAME", "train_bucket": "YOUR_BUCKET_NAME", "train_file_path": "path/filename", "test_feature_id": null, "test_feature_name": null, "test_bucket": null, "test_file_path": null } ```